Subject: RE: Apache and MySQL
From: Grahame Wright <[email-masked]>
To: Neil Lunn <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Mar 2001 08:28:33 -0500

Hi

I've tried running httpd as the regular Cygwin user (which is the user who 
is logged into windows), and also commenting out the user and group section 
of httpd.conf, but neither of those work.  MySQL is set to allow a 
connection from any user from the localhost, so that shouldn't be the 
problem.  I'm really stuck for ideas...

Thanks for your response

Grahame
=======

At 12:36 PM 3/29/2001 +1000, you wrote:
>Graham,
>
>What user is httpd running as? Is it different to that you are running the
>script from normally? Is this user allowed to connect to MySQL?
>
>I Didn't think that there was a way to restrict sockets permissions in
>cygwin! Probably wrong as usual.
>
>Neil
>
> > -----Original Message-----
> > From: Grahame Wright [mailto:[email-masked]]
> > Sent: Thursday, March 29, 2001 3:59 AM
> > To: [email-masked]
> > Subject: Apache and MySQL
> >
> >
> > Hi
> >
> > I have managed to get Perl in Cygwin talking to my MySQL
> > server when I run
> > the script from the command line, but I cannot get the script
> > to work when
> > I run it from the browser connecting to Apache.  All I ever
> > get is the error :
> > DBI->connect(database=test;host=<my hostname>) failed: Can't
> > create IP
> > socket (1)
> >
> > I really don't know what could be causing this...does anyone
> > have any ideas
> > why it would work from the command line but not from apache?
> > Other scripts
> > run fine, it's just ones that connect to the MySQL server that fail.
> >
> > Thanks
> >
> > Grahame
> > =======
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> >
>
>__________________________________________________________________________
>Please Note :
>Only  the intended recipient is authorised to access or use this e-mail.  If
>you are not the intended recipient,
>please delete this e-mail and notify the sender immediately.   The contents
>of this e-mail are the writer's
>opinion and are not necessarily endorsed by the Gunz Companies unless
>expressly stated.
>
>We use virus scanning software but exclude all liability for viruses or
>similar in any attachment.
>
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple